GET api/particlecounterapi/particlecounter/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ParticleCounterViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| anatype_id | globally unique identifier |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| description | string |
None. |
|
| id | globally unique identifier |
None. |
|
| ip_address | string |
Required |
|
| particle_counter_type_id | globally unique identifier |
Required |
|
| site_id | globally unique identifier |
Required |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"anatype_id": "56ae43c2-d669-4c2b-adb6-a0d4a88f0862",
"cleanroom_id": "a89ac716-c29e-4f44-a421-b1f889dce13f",
"description": "sample string 3",
"id": "6a611d64-3d2e-408c-a052-564ec209488a",
"ip_address": "sample string 5",
"particle_counter_type_id": "940925e2-551f-432b-a10c-87b321abdfb3",
"site_id": "519c4525-1f33-452b-b800-fedc77b55808"
}
application/xml, text/xml
Sample:
<particle_counter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <anatype_id>56ae43c2-d669-4c2b-adb6-a0d4a88f0862</anatype_id> <cleanroom_id>a89ac716-c29e-4f44-a421-b1f889dce13f</cleanroom_id> <description>sample string 3</description> <id>6a611d64-3d2e-408c-a052-564ec209488a</id> <ip_address>sample string 5</ip_address> <particle_counter_type_id>940925e2-551f-432b-a10c-87b321abdfb3</particle_counter_type_id> <site_id>519c4525-1f33-452b-b800-fedc77b55808</site_id> </particle_counter>